import { createError } from "h3";
import { serverSupabaseClient } from "../services/serverSupabaseClient.mjs";
export const serverSupabaseSession = async (event) => {
  const client = await serverSupabaseClient(event);
  const { data: { session }, error } = await client.auth.getSession();
  if (error) {
    throw createError({ statusMessage: error?.message });
  }
  event.context._session = session ?? null;
  return event.context._session;
};
